Subject: Re: RFC: arch/powerpc Kconfig cleanup

From: Arnd Bergmann <[email-masked]>
Date: Fri, 16 Mar 2007 11:54:49 +0100

On Friday 16 March 2007, Kumar Gala wrote:
> >
> > At some point we should also separate the common code (mostly spufs)
> > from the cell native support that does not apply to ps3 and celleb.
>=20
> Fair point, I'll fix that up. =A0I'm more interested if people are ok =A0
> with having the 'Cell Broadband Engine options' under 'Platform =A0
> support' is ok or if it should stay at the top level.

I was never happy with having it at the top level, but I couldn't
figure out a better way at the time, and I think I just copied what
some other platforms did.

I think it would be good to turn them into menuconfig entries, so
that if platforms/Kconfig basically contains

source arch/powerpc/platforms/pseries/Kconfig
source arch/powerpc/platforms/powermac/Kconfig
source arch/powerpc/platforms/cell/Kconfig
source arch/powerpc/platforms/celleb/Kconfig
source arch/powerpc/platforms/ps3/Kconfig
=2E..

each of them can either be

config CELLEB
	bool "support for celleb"
	select FOO
	select BAR

or

menuconfig PSERIES
	bool "support for pseries"
	select BAR
	select BAZ
config PSERIES_FOO
	bool "option foo for pseries"
	depends on PSERIES
endmenu

	Arnd <><